<link rel="stylesheet" type="text/css" href="<?php echo plugin_dir_url(__FILE__);?>../../assets/dist/css/bootstrap.css" />
<script type="text/javascript" src="<?php echo plugin_dir_url(__FILE__);?>../../assets/dist/js/bootstrap.js"></script>
<style type="text/css" media="screen">
    body{background: #f1f1f1}
    .m-0{margin:0px;}
    .mywidget {
    box-shadow: 0 2px 10px rgba(0,0,0,.15);
    border-radius: 9px!important;
    transition: all .3s;
    padding: 0px !important;
}
</style>
    <div class="col-md-12">
      <div class="page-title">
          <div class="title-env"><h1 class="title">Create Page </h1></div>
      </div>
      <div id="msg"></div>
      <hr>
      <div class="col-md-4">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h3 class="m-0">Add Page</h2>
          </div>
          <div class="panel-body">
            <form class="form-horizontal" action="" method="post">
              <div class="form-group">
                <div class="col-sm-12 p0">
                  <label class="control-label" for="name">Page Name:</label>
                 <input type="text" name="post_title" class="form-control" placeholder="Page Name" required="required">
                </div>
              </div>
              <div class="form-group">
                <div class="col-sm-12 p0">
                  <label class="control-label" for="name">Page URL: (Without site URL)</label>
                 <input type="text" name="url" class="form-control" placeholder="Page URL Ex: landing" required="required">
                </div>
              </div>
              <div class="form-group">
                <div class="col-sm-12 p0">
                  <label class="control-label">Select Template</label>
                  <select name="cn_template" class="form-control" required="required">
                    <option value="">Select Template</option>
                    <option value="landing.php">landing page Template</option>
                    <option value="thank-you.php">thank-you page Template</option>
                  </select>
                </div>
              </div>

              <div class="form-group"> 
                <div class="col-sm-8">
                <button type="submit" name="create_page" class="btn btn-default">Submit</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
      <div class="col-md-8">
        <div class="panel panel-default">
          <div class="panel-heading"><h3 class="m-0">URL List</h2></div>
          <div class="panel-body">
            <table class="table table-striped table-bordered table-hover ">
              <thead>
                <tr>
                  <th>S.No.</th>
                  <th>Title</th>
                  <th>URL</th>
                  <!-- <th>Template</th> -->
                  <td>Action</td>
                </tr>
              </thead>
              <tbody>
                <?php
                $sn='';
                foreach ($CnPagesUrlArr as  $CnPagesUrl) {
                $sn++;
                $id=$CnPagesUrl['id'];
                $title=$CnPagesUrl['name'];
                $url=$CnPagesUrl['url'];
                $cn_templet=$CnPagesUrl['cn_templet'];
                $page_id=$CnPagesUrl['page_id'];
                
                ?>
                <tr>
                  <td><?php echo $sn; ?></td>
                  <td><?php echo $title ?></td>
                  <td><?php echo get_site_url().'/'.$url ?>
                  <!-- <td><?php echo $cn_templet ?> -->
                        </td>
                  <td>
                    <div class="btn-group">
                      <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                      Action <span class="caret"></span>
                      </button>
                      <ul class="dropdown-menu" role="menu">
                      <li><a href="javascript:void(0);" class="editallfrm" pageid="<?php echo $page_id ?>"  mytag="<?php echo $id ?>" url="<?php echo $url; ?>" title="<?php echo $title; ?>"><span class="fa fa-edit"></span>&nbsp;Edit</a></li>
                      <li>
                        <a href="javascript:void(0);" class="delete_department" pageid="<?php echo $page_id ?>" mytag="<?php echo $id ?>">
                          <i class="fa fa-trash"></i>&nbsp;Delete</a>
                      </li>
                      </ul>
                    </div>
                    
                  </td>
                </tr>   
                <?php } ?>             
              </tbody>
            </table>
          </div>
        </div>
        
      </div>
      <div id="department" class="modal-dialog" style=" display: none; position: absolute;z-index: 999;top: 0;left: 0;right: 0;">
          <div class="modal-content">
            <div class="modal-header">
              <h4 class="modal-title">Edit Page</h4>
            </div>
            <div class="modal-body">
               <form class="form-horizontal" action="" method="post">
                  
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Page Name:</label>
                    <input type="hidden" id="id" name="id" class="form-control" placeholder="" required="required">
                    <input type="hidden" id="pageidedit" name="pageidedit" class="form-control" placeholder="" required="required">
                    
                     <input type="text" id="title" name="post_title" class="form-control" placeholder="Page Name" required="required">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Page URL: (Without site URL)</label>
                     <input type="text" name="url" id="url" class="form-control" placeholder="Page URL Ex: landing" required="required">
                    </div>
                  </div>
                  <div class="form-group"> 
                    <div class="col-sm-offset-2 col-sm-10">
                      <button type="submit" name="save_info" class="btn btn-default">Update</button>
                    </div>
                  </div>
                </form>
            </div>
            <div class="modal-footer">
              <button type="button" id="departmentclose" class="btn btn-default">Close</button>
            </div>
          </div>
      </div>
      <form class="form-horizontal" action="" id="deletefrm" method="post">
          <input type="hidden" id="deletedrt" name="cnpageid" class="form-control">
          <input type="hidden" id="pageid" name="page_id" class="form-control">
      </form>



     
     
    </div>

<script>


(function($) {

  


    $('#department').hide();
    $('#btnsendemailclose').click(function(){
        $('#sendemail').hide();
    });
    $('#departmentclose').click(function(){
        $('#department').hide();
    });
    $('.editallfrm').click(function(){
        var id=$(this).attr('mytag');
        var title=$(this).attr('title');
        var url=$(this).attr('url');
        var pageid=$(this).attr('pageid');
        $('#id').val(id);
        $('#pageidedit').val(pageid);
        $('#title').val(title);
        $('#url').val(url);

        $('#department').show();
    });

    $('.delete_department').click(function(){
        var id=$(this).attr('mytag');
        var pageid=$(this).attr('pageid');
        $('#deletedrt').val(id);
        $('#pageid').val(pageid);
        $('#deletefrm').submit();
    });

})(jQuery);


  
</script>