<?php
/*
Plugin Name:    Local Page Wizard
Plugin URI:     http://parvizsmethods.com/
Description:    Create effective landing page and thank you page for your list building campaigns
Version:        1
Author:         Parviz SA
Author URI:     http://parvizsmethods.com/
Text Domain:    ''

*/
// Define //
$path_array  = wp_upload_dir();
$upload_url=$path_array['baseurl'];
define( 'CN_LANDING_DIR', plugin_dir_path( __FILE__ ) );
define( 'CN_LANDING_URI', plugin_dir_url( __FILE__ ) );
define( 'CN_UPLOAD_URI', $upload_url);
// Define //
	require_once CN_LANDING_DIR . 'classes/install-class.php';
	require_once CN_LANDING_DIR . 'classes/cn-query.php';
	add_action('admin_menu', 'landing_plugin_setup_menu' );
	register_activation_hook( __FILE__, 'cn_landing_install');
	////menu///
	function landing_menu_init(){
		
		global $wpdb;
		global $msg;
		$path_array  = wp_upload_dir();
		$upload_url=$path_array['baseurl'];
		$cn_thank = $wpdb->prefix . 'cn_thank';
		$cn_landing = $wpdb->prefix . 'cn_landing';
		if (isset($_POST['save_settings_info'])) {
				$main_logo=$_POST['main_logo'];
				$main_logo_background=$_POST['main_logo_background'];
				$main_logo_border_color=$_POST['main_logo_border_color'];
				$main_logo_border_width=$_POST['main_logo_border_width'];
				$main_logo_padding=$_POST['main_logo_padding'];

				$form_section_background=$_POST['form_section_background'];
				$form_section_border_color=$_POST['form_section_border_color'];
				$form_section_border_width=$_POST['form_section_border_width'];
				$form_section_padding=$_POST['form_section_padding'];
				$form_section_text=$_POST['form_section_text'];

				$land_media=$_POST['land_media'];
				$form_bullet_point=$_POST['form_bullet_point'];
				$cn_field=$_POST['cn_field'];
				$form_below_text=$_POST['form_below_text'];
				$form_background=$_POST['form_background'];
				$form_border_color=$_POST['form_border_color'];
				$form_border_width=$_POST['form_border_width'];
				$form_padding=$_POST['form_padding'];
				
				$download_button_text=$_POST['download_button_text'];
				$download_buttons_color=$_POST['download_buttons_color'];
				$download_buttons_size=$_POST['download_buttons_size'];
				$download_link=$_POST['download_link'];
				$copyright_section_background=$_POST['copyright_section_background'];
				$copyright_section_border_color=$_POST['copyright_section_border_color'];
				$copyright_section_border_width=$_POST['copyright_section_border_width'];
				$copyright_section_padding=$_POST['copyright_section_padding'];
				$copyright_info=$_POST['copyright_info'];
				$social_media=$_POST['social_media'];
				$container_width=$_POST['container_width'];
				$autoresponder =$_POST['autoresponder'];
				$thank_you_url =$_POST['thank_you_url'];
				$campaign_token =$_POST['campaign_token'];
				$land_media_width =$_POST['land_media_width'];
				$form_width =$_POST['form_width'];
				
				
				
				$tdate=date('Y-m-d');

				$cn_landingArr=array(
					'main_logo'=>$main_logo,
					'main_logo_background'=>$main_logo_background,
					'main_logo_border_color'=>$main_logo_border_color,
					'main_logo_border_width'=>$main_logo_border_width,
					'main_logo_padding'=>$main_logo_padding,
					'form_section_background'=>$form_section_background,
					'form_section_border_color'=>$form_section_border_color,
					'form_section_border_width'=>$form_section_border_width,
					'form_section_padding'=>$form_section_padding,
					'form_section_text'=>$form_section_text,
					'land_media'=>$land_media,
					'form_bullet_point'=>$form_bullet_point,
					'cn_field'=>$cn_field,
					'form_below_text'=>$form_below_text,
					'form_background'=>$form_background,
					'form_border_color'=>$form_border_color,
					'form_border_width'=>$form_border_width,
					'form_padding'=>$form_padding,
					'download_button_text'=>$download_button_text,
					'download_buttons_color'=>$download_buttons_color,
					'download_buttons_size'=>$download_buttons_size,
					'download_link'=>$download_link,
					'copyright_section_background'=>$copyright_section_background,
					'copyright_section_border_color'=>$copyright_section_border_color,
					'copyright_section_border_width'=>$copyright_section_border_width,
					'copyright_section_padding'=>$copyright_section_padding,
					'copyright_info'=>$copyright_info,
					'social_media'=>$social_media,
					'container_width'=>$container_width,
					'autoresponder'=>$autoresponder,
					'thank_you_url'=>$thank_you_url,
					'campaign_token'=>$campaign_token,
					'land_media_width'=>$land_media_width,
					'form_width'=>$form_width,
					'created'=>$tdate
				);
	    		if (iUpdateArray($cn_landing,$cn_landingArr,array('`id`'=>1))) {
					echo showMessage("Update successfully",'success');
	    		}
		}
			$landing_id=1;
	    	$cn_landing="select * from `".$cn_landing."` AS `Thank` WHERE `id`=".$landing_id;
			$CnlandingArr=iFetch($cn_landing);
			// echo "<pre>";
			// print_r($CnlandingArr);
			

			$main_headline=$CnlandingArr['main_logo'];
			$main_logo=$CnlandingArr['main_logo'];
			$main_logo_background=$CnlandingArr['main_logo_background'];
			$main_logo_border_color=$CnlandingArr['main_logo_border_color'];
			$main_logo_border_width=$CnlandingArr['main_logo_border_width'];

			$form_section_background=$CnlandingArr['form_section_background'];
			$form_section_border_color=$CnlandingArr['form_section_border_color'];
			$form_section_border_width=$CnlandingArr['form_section_border_width'];
			$form_section_padding=$CnlandingArr['form_section_padding'];
			$form_section_text=$CnlandingArr['form_section_text'];

			$land_media=$CnlandingArr['land_media'];

			$form_bullet_point=$CnlandingArr['form_bullet_point'];
			$form_below_text=$CnlandingArr['form_below_text'];
			$form_background=$CnlandingArr['form_background'];
			$form_border_color=$CnlandingArr['form_border_color'];
			$form_border_width=$CnlandingArr['form_border_width'];
			$form_padding=$CnlandingArr['form_padding'];

			$download_button_text=$CnlandingArr['download_button_text'];
			$download_buttons_color=$CnlandingArr['download_buttons_color'];
			$download_buttons_size=$CnlandingArr['download_buttons_size'];
			$download_link=$CnlandingArr['download_link'];

			$copyright_section_background=$CnlandingArr['copyright_section_background'];
			$copyright_section_border_color=$CnlandingArr['copyright_section_border_color'];
			$copyright_section_border_width=$CnlandingArr['copyright_section_border_width'];
			$copyright_section_padding=$CnlandingArr['copyright_section_padding'];
			$copyright_info=$CnlandingArr['copyright_info'];
			$social_media=$CnlandingArr['social_media'];
			$container_width=$CnlandingArr['container_width'];
			$autoresponder=$CnlandingArr['autoresponder'];
			$thank_you_url=$CnlandingArr['thank_you_url'];
			$campaign_token=$CnlandingArr['campaign_token'];
			$land_media_width =$CnlandingArr['land_media_width'];
			$form_width =$CnlandingArr['form_width'];
			
			require_once CN_LANDING_DIR . 'includes/admin/settings.php';
	}

	function thank_menu_init(){
		global $wpdb;
		global $msg;
		$path_array  = wp_upload_dir();
		$upload_url=$path_array['baseurl'];
		$cn_thank = $wpdb->prefix . 'cn_thank';
		$cn_landing = $wpdb->prefix . 'cn_landing';
		if (isset($_POST['save_settings_info'])) {
				$main_headline=$_POST['main_headline'];
				$sub_headline=$_POST['sub_headline'];
				$download_button_text=$_POST['download_button_text'];
				$download_buttons_color=$_POST['download_buttons_color'];
				$download_buttons_size=$_POST['download_buttons_size'];
				$download_link=$_POST['download_link'];
				$special_offer_title=$_POST['special_offer_title'];
				$special_offer_text=$_POST['special_offer_text'];
				$media_file=$_POST['media_file'];
				$special_offer_call_to_action=$_POST['special_offer_call_to_action'];
				$special_offer_button_text=$_POST['special_offer_button_text'];
				$special_offer_button_color=$_POST['special_offer_button_color'];
				$special_offer_button_size=$_POST['special_offer_button_size'];
				$special_offer_button_link_phone_number=$_POST['special_offer_button_link_phone_number'];
				$copyright_info=$_POST['copyright_info'];
				$thank_you_url=$_POST['thank_you_url'];
				$tdate=date('Y-m-d');

				$cn_thankArr=array(
						'main_headline'=>$main_headline,
						'sub_headline'=>$sub_headline,
						'download_button_text'=>$download_button_text,
						'download_buttons_color'=>$download_buttons_color,
						'download_buttons_size'=>$download_buttons_size,
						'download_link'=>$download_link,
						'special_offer_title'=>$special_offer_title,
						'special_offer_text'=>$special_offer_text,
						'media_file'=>$media_file,
						'special_offer_call_to_action'=>$special_offer_call_to_action,
						'special_offer_button_text'=>$special_offer_button_text,
						'special_offer_button_color'=>$special_offer_button_color,
						'special_offer_button_size'=>$special_offer_button_size,
						'special_offer_button_link_phone_number'=>$special_offer_button_link_phone_number,
						'copyright_info'=>$copyright_info,
						'thank_you_url'=>$thank_you_url,
						'created'=>$tdate
					);
				
	    		if (iUpdateArray($cn_thank,$cn_thankArr,array('`id`'=>1))) {
					echo showMessage("Update successfully",'success');
	    		}
		}
			$Thank_id=1;
	    	$cn_thank="select * from `".$cn_thank."` AS `Thank` WHERE `id`=".$Thank_id;
			$CnThankArr=iFetch($cn_thank);
			$main_headline=$CnThankArr['main_headline'];
			$sub_headline=$CnThankArr['sub_headline'];
			$download_button_text=$CnThankArr['download_button_text'];
			$download_buttons_color=$CnThankArr['download_buttons_color'];
			$download_buttons_size=$CnThankArr['download_buttons_size'];
			$download_link=$CnThankArr['download_link'];
			$special_offer_title=$CnThankArr['special_offer_title'];
			$special_offer_text=$CnThankArr['special_offer_text'];
			$media_file=$CnThankArr['media_file'];
			$special_offer_call_to_action=$CnThankArr['special_offer_call_to_action'];
			$special_offer_button_text=$CnThankArr['special_offer_button_text'];
			$special_offer_button_color=$CnThankArr['special_offer_button_color'];
			$special_offer_button_size=$CnThankArr['special_offer_button_size'];
			$special_offer_button_link_phone_number=$CnThankArr['special_offer_button_link_phone_number'];
			$copyright_info=$CnThankArr['copyright_info'];
			$thank_you_url=$CnThankArr['thank_you_url'];
		require_once CN_LANDING_DIR . 'includes/admin/thank_you.php';
	}

	function form_data_menu_init(){
		global $wpdb;
		global $msg;
		$path_array  = wp_upload_dir();
		$upload_url=$path_array['baseurl'];
		$cn_thank = $wpdb->prefix . 'cn_thank';
		$cn_landing = $wpdb->prefix . 'cn_landing';
		$cn_form_data = $wpdb->prefix . 'cn_formdata';

		if (isset($_POST['DeleteGl'])) {
			$galleryIdArr=$_POST['email'];
			foreach ($galleryIdArr as $value) {
				iQuery("DELETE FROM `".$cn_form_data."` WHERE `id`=".$value,$rs);
			}
			echo showMessage("Remove successfully",'success');	
		}
		if ($_GET['action']=='delete' && $_GET['email']!='') {
			$galleryId=$_GET['email'];
				if (iQuery("DELETE FROM `".$cn_form_data."` WHERE `id`=".$galleryId,$rs)) {
					echo showMessage("Remove successfully",'success');	
				}
		}
		
		$form_data="select * from `".$cn_form_data."` AS `Thank`";
		$form_dataArr=iWhileFetch($form_data);

		require_once CN_LANDING_DIR . 'includes/admin/email.php';
	}

	function create_page_menu_init(){
		global $wpdb;
		global $msg;
		$path_array  = wp_upload_dir();
		$upload_url=$path_array['baseurl'];
		$cn_thank = $wpdb->prefix . 'cn_thank';
		$cn_landing = $wpdb->prefix . 'cn_landing';
		$cn_pages_url = $wpdb->prefix . 'cn_pages_url';
		
		if (isset($_POST['create_page'])) {
			$page_obj = get_page_by_path($_POST['post_title']);
		    if (!$page_obj ) {
		    	//$slug=str_replace(' ', '-',strtolower($_POST['post_title']));
		    	$slug=$_POST['url'];
		        $page_id = wp_insert_post( array(
		            'post_title'     => $_POST['post_title'],
		            'post_name'      => $slug,
		            'post_content'   => '',
		            'post_status'    => 'publish',
		            'post_type'      => 'page',
		            'comment_status' => 'closed',
		        ) );
		        if ($page_id){
		        	update_post_meta($page_id, '_wp_page_template', $_POST['cn_template']);
		        	$tdate=date('Y-m-d');
		        	$url=$slug;
		        	$pages_urlArr=array('page_id'=>$page_id,'name'=>$_POST['post_title'],'url'=>$url,'cn_templet'=>$_POST['cn_template'],'created'=>$tdate);
		        	iInsert($cn_pages_url,$pages_urlArr);
		        	echo showMessage("Page Create successfully",'success');
		        }

		    }else{
		    	echo showMessage("Page already exist",'danger');
		    }
		}

		if($_POST['cnpageid']){
			$remove_page_id=$_POST['cnpageid'];
			$remove_wp_page_id=$_POST['page_id'];
			if (iQuery("DELETE FROM `".$cn_pages_url."` WHERE `id`=".$remove_page_id,$rs)) 
			{
				wp_delete_post($remove_wp_page_id, true);
				echo showMessage("Remove successfully",'success');	
			}else{
				echo showMessage('something was wrong','danger');
			}
		}

		if (isset($_POST['save_info'])) {
			
			$post_title=$_POST['post_title'];
			$new_slug=$_POST['url'];
			$table_id=$_POST['id'];
			$post_id=$_POST['pageidedit'];
			
			wp_update_post(
            	array (
		                'ID'        => $post_id,
		                'post_name' => $new_slug,
		                'post_title'=>$post_title
		            ));
			
			$url=$new_slug;
			$pages_urlUpdate=array('name'=>$_POST['post_title'],'url'=>$url);
			iUpdateArray($cn_pages_url,$pages_urlUpdate,array('`id`'=>$table_id));
			showMessage("Update successfully",'success');	
		}

		$CnPagesUrl="select * from `".$cn_pages_url."` AS `PagesUrl`";
		$CnPagesUrlArr=iWhileFetch($CnPagesUrl);
		require_once CN_LANDING_DIR . 'includes/admin/create_page.php';
	}

	function import_export_menu_init(){

		global $wpdb;
		global $msg;
		$path_array  = wp_upload_dir();
		$upload_url=$path_array['baseurl'];
		$cn_thank = $wpdb->prefix .'cn_thank';
		$cn_landing = $wpdb->prefix .'cn_landing';
		$cn_pages_url = $wpdb->prefix .'cn_pages_url';

		
		if (isset($_POST['import_page'])) {
			$table=$_POST['cn_template'];
			$filename=$_FILES["import_file"]["name"];

			if ($_FILES['import_file']!='') { 
	    			$newpath = str_replace('\\', '/', $path_array['basedir']);
					$path=$newpath.'/shivsara_landing';
					$ext1 = explode('.', basename($_FILES['import_file']['name']));//explode file name from dot(.) 
					$ext = end($ext1); //store extensions in the variable
					$target_path_sia =  md5(uniqid()) . "." . $ext1[count($ext1) - 1];
					$target_path_sia;
					if(move_uploaded_file($_FILES["import_file"]["tmp_name"],$path. "/" . $target_path_sia)){
						$filename = $path. "/" . $target_path_sia;
						$wp_upload_dir['url'] . '/' . basename( $filename );
						  $savecover_data='shivsara_landing/' . basename( $filename );
					}else{
						 $savecover_data='';
					}
	    	}
	    	
			$ext=substr($filename,strrpos($filename,"."),(strlen($filename)-strrpos($filename,".")));
			if ($ext=='.xml') {
				 $xml = simplexml_load_file(CN_UPLOAD_URI.'/'.$savecover_data) or die("Error: Cannot create object");	
				foreach ($xml->children() as $row) {
					if ($_POST['cn_template']==$cn_thank) {$main_headline=$row->main_headline;$sub_headline=$row->sub_headline;$download_button_text=$row->download_button_text;$download_link=$row->download_link;$special_offer_title=$row->special_offer_title;$special_offer_text=$row->special_offer_text;$media_file=$row->media_file;$special_offer_call_to_action=$row->special_offer_call_to_action;$special_offer_button_text=$row->special_offer_button_text;$special_offer_button_link_phone_number=$row->special_offer_button_link_phone_number;$copyright_info=$row->copyright_info;$thank_you_url=$row->thank_you_url;$created=$row->created;$modified=$row->modified;$download_buttons_color=$row->download_buttons_color;$download_buttons_size=$row->download_buttons_size;$special_offer_button_color=$row->special_offer_button_color;$special_offer_button_size=$row->special_offer_button_size;
					 	$sql ="UPDATE `$cn_thank` SET 
					 	`main_headline`='".$main_headline."',
					 	`sub_headline`='".$sub_headline."',
					 	`download_button_text`='".$download_button_text."',
					 	`download_link`='".$download_link."',
					 	`special_offer_title`='".$special_offer_title."',
					 	`special_offer_text`='".$special_offer_text."',
					 	`media_file`='".$media_file."',
					 	`special_offer_call_to_action`='".$special_offer_call_to_action."',
					 	`special_offer_button_text`='".$special_offer_button_text."',
					 	`special_offer_button_link_phone_number`='".$special_offer_button_link_phone_number."',
					 	`copyright_info`='".$copyright_info."',
					 	`thank_you_url`='".$thank_you_url."',
					 	`created`='".$created."',
					 	`modified`='".$modified."',
					 	`download_buttons_color`='".$download_buttons_color."',
					 	`download_buttons_size`='".$download_buttons_size."',
					 	`special_offer_button_color`='".$special_offer_button_color."',
					 	`special_offer_button_size`='".$special_offer_button_size."' 
					 	WHERE `id`=1";
					}
					if ($_POST['cn_template']==$cn_landing) {
						$main_logo=$row->main_logo;$main_logo_background=$row->main_logo_background;$main_logo_border_color=$row->main_logo_border_color;$main_logo_border_width=$row->main_logo_border_width;$main_logo_padding=$row->main_logo_padding;$form_section_background=$row->form_section_background;$form_section_border_color=$row->form_section_border_color;$form_section_border_width=$row->form_section_border_width;$form_section_padding=$row->form_section_padding;$form_section_text=$row->form_section_text;$land_media=$row->land_media;$form_bullet_point=$row->form_bullet_point;$cn_field=$row->cn_field;$form_below_text=$row->form_below_text;$form_background=$row->form_background;$form_border_color=$row->form_border_color;$form_border_width=$row->form_border_width;$form_padding=$row->form_padding;$download_button_text=$row->download_button_text;$download_buttons_color=$row->download_buttons_color;$download_buttons_size=$row->download_buttons_size;$download_link=$row->download_link;$copyright_section_background=$row->copyright_section_background;$copyright_section_border_color=$row->copyright_section_border_color;$copyright_section_padding=$row->copyright_section_padding;$copyright_section_border_width=$row->copyright_section_border_width;$copyright_info=$row->copyright_info;$social_media=$row->social_media;$container_width=$row->container_width;$autoresponder=$row->autoresponder;$thank_you_url=$row->thank_you_url;$campaign_token=$row->campaign_token;$land_media_width=$row->land_media_width;$form_width=$row->form_width;
						$sql = "UPDATE `$cn_landing` SET 
						`main_logo`='".$main_logo."',
						`main_logo_background`='".$main_logo_background."',
						`main_logo_border_color`='".$main_logo_border_color."',
						`main_logo_border_width`='".$main_logo_border_width."',
						`main_logo_padding`='".$main_logo_padding."',
						`form_section_background`='".$form_section_background."',
						`form_section_border_color`='".$form_section_border_color."',
						`form_section_border_width`='".$form_section_border_width."',
						`form_section_padding`='".$form_section_padding."',
						`form_section_text`='".$form_section_text."',
						`land_media`='".$land_media."',
						`form_bullet_point`='".$form_bullet_point."',
						`cn_field`='".$cn_field."',
						`form_below_text`='".$form_below_text."',
						`form_background`='".$form_background."',
						`form_border_color`='".$form_border_color."',
						`form_border_width`='".$form_border_width."',
						`form_padding`='".$form_padding."',
						`download_button_text`='".$download_button_text."',
						`download_buttons_color`='".$download_buttons_color."',
						`download_buttons_size`='".$download_buttons_size."',
						`download_link`='".$download_link."',
						`copyright_section_background`='".$copyright_section_background."',
						`copyright_section_border_color`='".$copyright_section_border_color."',
						`copyright_section_padding`='".$copyright_section_padding."',
						`copyright_section_border_width`='".$copyright_section_border_width."',
						`copyright_info`='".$copyright_info."',
						`social_media`='".$social_media."',
						`container_width`='".$container_width."',
						`autoresponder`='".$autoresponder."',
						`thank_you_url`='".$thank_you_url."',
						`campaign_token`='".$campaign_token."',
						`land_media_width`='".$land_media_width."',
						`form_width`='".$form_width."'
						 WHERE `id`=1";
					}
					$wpdb->query($sql);
				}

				if ($wpdb->rows_affected) {
					echo showMessage("Data Import successfully",'success');
				}
				if ($wpdb->last_error) {
					echo showMessage($wpdb->last_error,'danger');
				}
			}else{
				echo showMessage('Invalid file format','danger');
			}

		}

		require_once CN_LANDING_DIR . 'includes/admin/import_export.php';
		
	}
	

	// imgdelete//
	add_action( 'wp_ajax_export', 'export_callback' );
	add_action( 'wp_ajax_nopriv_export', 'export_callback' );
	function export_callback(){ 
		global $wpdb;
		global $msg;
		$path_array  = wp_upload_dir();
		$upload_url=$path_array['baseurl'];
		$cn_thank = $wpdb->prefix . 'cn_thank';
		$cn_landing = $wpdb->prefix . 'cn_landing';
		
		$cn_thank="select * from `".$cn_thank."` AS `Thank`";
		$CnThankArr=iWhileFetch($cn_thank);
		createXMLfile($CnThankArr);

		$cn_landing="select * from `".$cn_landing."` AS `Landing`";
		$CnLandingArr=iWhileFetch($cn_landing);
		createXMLfilelanding($CnLandingArr);
		echo $_POST['id'];
		die();
	} 

function createXMLfile($booksArray){
   $filePath = CN_LANDING_DIR.'/includes/export/thank.xml';
   if (!file_exists($filePath)) {
   		$myfile = fopen(CN_LANDING_DIR."/includes/export/thank.xml", "w");
   	}

   $dom     = new DOMDocument('1.0', 'utf-8'); 
   $root      = $dom->createElement('cn_thank'); 
	for($i=0; $i<count($booksArray); $i++){
		$book = $dom->createElement('thank');
		$bookId        =  $booksArray[$i]['id'];  
		$book->setAttribute('id', $bookId);
		$main_headline      =  htmlspecialchars($booksArray[$i]['main_headline']); 
		$book->appendChild($dom->createElement('main_headline', $main_headline));
		$sub_headline      =  htmlspecialchars($booksArray[$i]['sub_headline']); 
		$book->appendChild($dom->createElement('sub_headline', $sub_headline));
		$download_button_text      =  htmlspecialchars($booksArray[$i]['download_button_text']); 
		$book->appendChild($dom->createElement('download_button_text', $download_button_text));
		$download_buttons_color      =  htmlspecialchars($booksArray[$i]['download_buttons_color']); 
		$book->appendChild($dom->createElement('download_buttons_color', $download_buttons_color));
		$download_buttons_size      =  htmlspecialchars($booksArray[$i]['download_buttons_size']); 
		$book->appendChild($dom->createElement('download_buttons_size', $download_buttons_size));
		$download_link      =  htmlspecialchars($booksArray[$i]['download_link']); 
		$book->appendChild($dom->createElement('download_link', $download_link));
		$special_offer_title      =  htmlspecialchars($booksArray[$i]['special_offer_title']); 
		$book->appendChild($dom->createElement('special_offer_title', $special_offer_title));
		$special_offer_text      =  htmlspecialchars($booksArray[$i]['special_offer_text']); 
		$book->appendChild($dom->createElement('special_offer_text', $special_offer_text));
		$media_file      =  htmlspecialchars($booksArray[$i]['media_file']); 
		$book->appendChild($dom->createElement('media_file', $media_file));
		$special_offer_call_to_action = htmlspecialchars($booksArray[$i]['special_offer_call_to_action']); 
		$book->appendChild($dom->createElement('special_offer_call_to_action', $special_offer_call_to_action));
		$special_offer_button_text = htmlspecialchars($booksArray[$i]['special_offer_button_text']); 
		$book->appendChild($dom->createElement('special_offer_button_text', $special_offer_button_text));
		$special_offer_button_color = htmlspecialchars($booksArray[$i]['special_offer_button_color']); 
		$book->appendChild($dom->createElement('special_offer_button_color', $special_offer_button_color));
		$special_offer_button_size = htmlspecialchars($booksArray[$i]['special_offer_button_size']); 
		$book->appendChild($dom->createElement('special_offer_button_size', $special_offer_button_size));
		$special_offer_button_link_phone_number=htmlspecialchars($booksArray[$i]['special_offer_button_link_phone_number']); 
		$book->appendChild($dom->createElement('special_offer_button_link_phone_number', $special_offer_button_link_phone_number));
		$copyright_info      =  htmlspecialchars($booksArray[$i]['copyright_info']); 
		$book->appendChild($dom->createElement('copyright_info', $copyright_info));
		$thank_you_url      =  htmlspecialchars($booksArray[$i]['thank_you_url']); 
		$book->appendChild($dom->createElement('thank_you_url', $thank_you_url));

		$root->appendChild($book);
	}
   	$dom->appendChild($root); 
   	$dom->save($filePath); 
}

function createXMLfilelanding($landingArray){
   $filePath = CN_LANDING_DIR.'/includes/export/landing.xml';
   if (!file_exists($filePath)) {
   		$myfile = fopen(CN_LANDING_DIR."/includes/export/landing.xml", "w");
   	}
   $dom = new DOMDocument('1.0', 'utf-8'); 
   $root = $dom->createElement('cn_landing'); 
	for($i=0; $i<count($landingArray); $i++){
		$landing = $dom->createElement('landing');
		$landingId = $landingArray[$i]['id'];  
		$landing->setAttribute('id', $landingId);

		$main_logo = htmlspecialchars($landingArray[$i]['main_logo']);
		$main_logo_background = htmlspecialchars($landingArray[$i]['main_logo_background']);
		$main_logo_border_color = htmlspecialchars($landingArray[$i]['main_logo_border_color']);
		$main_logo_border_width = htmlspecialchars($landingArray[$i]['main_logo_border_width']);
		$main_logo_padding = htmlspecialchars($landingArray[$i]['main_logo_padding']);
		$form_section_background = htmlspecialchars($landingArray[$i]['form_section_background']);
		$form_section_border_color = htmlspecialchars($landingArray[$i]['form_section_border_color']);
		$form_section_border_width = htmlspecialchars($landingArray[$i]['form_section_border_width']);
		$form_section_padding = htmlspecialchars($landingArray[$i]['form_section_padding']);
		$form_section_text = htmlspecialchars($landingArray[$i]['form_section_text']);
		$land_media = htmlspecialchars($landingArray[$i]['land_media']);
		$form_bullet_point = htmlspecialchars($landingArray[$i]['form_bullet_point']);
		$cn_field = htmlspecialchars($landingArray[$i]['cn_field']);
		$form_below_text = htmlspecialchars($landingArray[$i]['form_below_text']);
		$form_background = htmlspecialchars($landingArray[$i]['form_background']);
		$form_border_color = htmlspecialchars($landingArray[$i]['form_border_color']);
		$form_border_width = htmlspecialchars($landingArray[$i]['form_border_width']);
		$form_padding = htmlspecialchars($landingArray[$i]['form_padding']);
		$download_button_text = htmlspecialchars($landingArray[$i]['download_button_text']);
		$download_buttons_color = htmlspecialchars($landingArray[$i]['download_buttons_color']);
		$download_buttons_size = htmlspecialchars($landingArray[$i]['download_buttons_size']);
		$download_link = htmlspecialchars($landingArray[$i]['download_link']);
		$copyright_section_background = htmlspecialchars($landingArray[$i]['copyright_section_background']);
		$copyright_section_border_color = htmlspecialchars($landingArray[$i]['copyright_section_border_color']);
		$copyright_section_padding = htmlspecialchars($landingArray[$i]['copyright_section_padding']);
		$copyright_section_border_width = htmlspecialchars($landingArray[$i]['copyright_section_border_width']);
		$copyright_info = htmlspecialchars($landingArray[$i]['copyright_info']);
		$social_media = htmlspecialchars($landingArray[$i]['social_media']);
		$container_width = htmlspecialchars($landingArray[$i]['container_width']);
		$autoresponder = htmlspecialchars($landingArray[$i]['autoresponder']);
		$thank_you_url = htmlspecialchars($landingArray[$i]['thank_you_url']);
		$campaign_token = htmlspecialchars($landingArray[$i]['campaign_token']);
		$land_media_width = htmlspecialchars($landingArray[$i]['land_media_width']);
		$form_width = htmlspecialchars($landingArray[$i]['form_width']);

		$landing->appendChild($dom->createElement('main_logo', $main_logo));
		$landing->appendChild($dom->createElement('main_logo_background', $main_logo_background));
		$landing->appendChild($dom->createElement('main_logo_border_color', $main_logo_border_color));
		$landing->appendChild($dom->createElement('main_logo_border_width', $main_logo_border_width));
		$landing->appendChild($dom->createElement('main_logo_padding', $main_logo_padding));
		$landing->appendChild($dom->createElement('form_section_background', $form_section_background));
		$landing->appendChild($dom->createElement('form_section_border_color', $form_section_border_color));
		$landing->appendChild($dom->createElement('form_section_border_width', $form_section_border_width));
		$landing->appendChild($dom->createElement('form_section_padding', $form_section_padding));
		$landing->appendChild($dom->createElement('form_section_text', $form_section_text));
		$landing->appendChild($dom->createElement('land_media', $land_media));
		$landing->appendChild($dom->createElement('form_bullet_point', $form_bullet_point));
		$landing->appendChild($dom->createElement('cn_field', $cn_field));
		$landing->appendChild($dom->createElement('form_below_text', $form_below_text));
		$landing->appendChild($dom->createElement('form_background', $form_background));
		$landing->appendChild($dom->createElement('form_border_color', $form_border_color));
		$landing->appendChild($dom->createElement('form_border_width', $form_border_width));
		$landing->appendChild($dom->createElement('form_padding', $form_padding));
		$landing->appendChild($dom->createElement('download_button_text', $download_button_text));
		$landing->appendChild($dom->createElement('download_buttons_color', $download_buttons_color));
		$landing->appendChild($dom->createElement('download_buttons_size', $download_buttons_size));
		$landing->appendChild($dom->createElement('download_link', $download_link));
		$landing->appendChild($dom->createElement('copyright_section_background', $copyright_section_background));
		$landing->appendChild($dom->createElement('copyright_section_border_color', $copyright_section_border_color));
		$landing->appendChild($dom->createElement('copyright_section_padding', $copyright_section_padding));
		$landing->appendChild($dom->createElement('copyright_section_border_width', $copyright_section_border_width));
		$landing->appendChild($dom->createElement('copyright_info', $copyright_info));
		$landing->appendChild($dom->createElement('social_media', $social_media));
		$landing->appendChild($dom->createElement('container_width', $container_width));
		$landing->appendChild($dom->createElement('autoresponder', $autoresponder));
		$landing->appendChild($dom->createElement('thank_you_url', $thank_you_url));
		$landing->appendChild($dom->createElement('campaign_token', $campaign_token));
		$landing->appendChild($dom->createElement('land_media_width', $land_media_width));
		$landing->appendChild($dom->createElement('form_width', $form_width));

		$root->appendChild($landing);
	}
   	$dom->appendChild($root); 
   	$dom->save($filePath); 
}



// add_filter //
		add_filter( 'wp_default_editor', create_function('', 'return "tinymce";'));
		add_filter( 'mce_buttons_2', 'cn_landing_editor_font_buttons' );

		add_filter( 'theme_page_templates', 'cn_landing_add_template_to_select' );
		add_filter( 'template_include', 'cn_landing_load_plugin_template' );

		//add_filter( 'tiny_mce_before_init', 'scanwp_font_size' );
	// add_filter //