<?php 
function iFetch($SQL)
{
	global $wpdb;
	$record = array_shift($wpdb->get_results($SQL));
	$record=json_decode(json_encode($record),true);
	return $record;
}

function iWhileFetch($sql){
	global $wpdb;
	$record = $wpdb->get_results($sql);
	$record=json_decode(json_encode($record),true);
	return $record;
}

function iUpdateArray($table, $postData = array(),$conditions = array(),$html_spl='No')
{

	foreach($postData as $k=>$value)
	{				
		if($html_spl=='Yes')
		{
			$value = htmlspecialchars($value);
		}
		if($value==NULL)
			$values .= "`$k` = NULL, ";
		else
			$values .= "`$k` = '$postData[$k]', ";
	}
	$values = substr($values, 0, strlen($values) - 2);
	foreach($conditions as $k => $v)
	{
		$v = htmlspecialchars($v);			
		$conds .= "$k = '$v'";
	}			
	$update = "UPDATE `$table` SET $values WHERE $conds";
	if(iQuery($update,$rs))
	{
		return true;
	}
	else
	{
		return false;
	}		
}

function iQuery($SQL,&$rs)
{
	if(iMainQuery($SQL,$rs))
	{
		return true;
	}
	else
	{
		return false;
	}
}

function iMainQuery($SQL,&$rs)
{
	global $wpdb;		
	$rs=$wpdb->query($SQL);
	if($wpdb->last_error)
	{
		echo"<p style=\"color:#cc3f44;\"><strong>Start User Custom Error:<br/> </strong>".$wpdb->last_error."</p><p style=\"color:#72a230;\">".$wpdb->last_query."<br/><strong>End User Custom Error</strong></p>";
	}
	if($wpdb->last_error)
		return false;
	else
		return true;
}

function iInsert($table, $postData = array(),$html_spl='No')
{
	global $wpdb;
	$sql = "DESC $table";
	$getFields = array();		
	$fieldArr = $wpdb->get_results($sql);
	foreach($fieldArr as $field)
	{
		$field=json_decode(json_encode($field),true);
		$getFields[sizeof($getFields)] = $field['Field'];
	}
	$fields = "";
	$values = "";
	if (sizeof($getFields) > 0)
	{				
		foreach($getFields as $k)
		{
			if (isset($postData[$k]))
			{
				if($html_spl=='No')
				{
					$postData[$k] = $postData[$k];
				}
				else
				{
					$postData[$k] = htmlspecialchars($postData[$k]);
				}
				$fields .= "`$k`, ";
				$values .= "'$postData[$k]', ";
			}
		}			
		$fields = substr($fields, 0, strlen($fields) - 2);
		$values = substr($values, 0, strlen($values) - 2);
		$insert = "INSERT INTO $table ($fields) VALUES ($values)";
		if(iQuery($insert,$rs))
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	else
	{
		return false;
	}
}	

function showMessage($message,$type='info')
{
	$msg='<div class="mrg"><div class="alert alert-'.$type.'"><button type="button" class="close" data-dismiss="alert">x</button>
	<center>'.__($message).'</center></div></div>';
	return $msg;
}





//////

