<link rel="stylesheet" type="text/css" href="<?php echo plugin_dir_url(__FILE__);?>../../assets/dist/css/bootstrap.css" />
<script type="text/javascript" src="<?php echo plugin_dir_url(__FILE__);?>../../assets/dist/js/bootstrap.js"></script>
<style type="text/css" media="screen">
    body{background: #f1f1f1}
    .m-0{margin:0px;}
    .mywidget {
    box-shadow: 0 2px 10px rgba(0,0,0,.15);
    border-radius: 9px!important;
    transition: all .3s;
    padding: 0px !important;
}
</style>
<div class="container" style="margin-top:30px">
    <div class="row">
      <div class="col-md-12">
          <div class="page-title">
              <div class="title-env"><h1 class="title">Landing page Settings</h1></div>
          </div>
          <div id="msg"></div>
          <hr>
            <form class="form-horizontal" action="" method="post" enctype="multipart/form-data">
            <div class="col-md-12" style="padding: 0">
              <div class="panel panel-default">
                <div class="panel-heading">
                  <h3 class="m-0">Text Settings</h3>
                </div>
                <div class="panel-body">
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Main container width(px)</label>
                      <input type="text" name="container_width" placeholder="1140px" class="form-control" value="<?php echo $container_width ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Logo/Text</label>
                       <?php 
                        wp_editor($main_logo,'main_logo', array('media_buttons' => true,'textarea_rows'=>4,'editor_height'=>150));
                       ?>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Logo/Text Section background</label>
                      <input type="color" name="main_logo_background" class="form-control" value="<?php echo $main_logo_background ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Logo/Text Section Border color</label>
                      <input type="color" name="main_logo_border_color" class="form-control" value="<?php echo $main_logo_border_color ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Logo/Text Section Border width</label>
                      <input type="text" name="main_logo_border_width" class="form-control" value="<?php echo $main_logo_border_width ?>" placeholder="10px 10px 10px 10px">
                    </div>
                  </div>
                   <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Logo/Text Section padding</label>
                      <input type="text" name="main_logo_padding" class="form-control" value="<?php echo $main_logo_padding ?>" placeholder="10px">
                    </div>
                  </div>

                  <!-- ///Form Section/// -->
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Form section Heading and Subheading</label>
                       <?php 
                          wp_editor($form_section_text,'form_section_text', array('media_buttons' => false,'textarea_rows'=>4,'editor_height'=>150));
                       ?>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Form Section background</label>
                      <input type="color" name="form_section_background" class="form-control" value="<?php echo $form_section_background ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Form Section Border color</label>
                      <input type="color" name="form_section_border_color" class="form-control" value="<?php echo $form_section_border_color ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Form Section Border width</label>
                      <input type="text" name="form_section_border_width" class="form-control" value="<?php echo $form_section_border_width ?>" placeholder="10px 10px 10px 10px">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Form Section padding</label>
                      <input type="text" name="form_section_padding" class="form-control" value="<?php echo $form_section_padding ?>" placeholder="10px">
                    </div>
                  </div>

                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Image / Video</label>
                       <?php 
                          wp_editor($land_media,'land_media', array('media_buttons' => true,'textarea_rows'=>4,'editor_height'=>150));
                       ?>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Image / Video Width (Only enter between 1 and 12)</label>
                      <input type="text" name="land_media_width" class="form-control" value="<?php echo $land_media_width ?>" placeholder="Only enter between 1 and 12">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Form background</label>
                      <input type="color" name="form_background" class="form-control" value="<?php echo $form_background ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Form Border color</label>
                      <input type="color" name="form_border_color" class="form-control" value="<?php echo $form_border_color ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Form width (Only enter between 1 and 12)</label>
                      <input type="text" name="form_width" class="form-control" value="<?php echo $form_width ?>" placeholder="Only enter between 1 and 12">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Form Border width</label>
                      <input type="text" name="form_border_width" class="form-control" value="<?php echo $form_border_width ?>" placeholder="10px 10px 10px 10px">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Form padding</label>
                      <input type="text" name="form_padding" class="form-control" value="<?php echo $form_padding ?>" placeholder="10px">
                    </div>
                  </div>

                  <!-- ///Form Section/// -->

                  <!-- ///Download Button/// -->
                  <div class="form-group" style="display: none">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Download Button Text:</label>
                      <?php 
                        wp_editor($download_button_text,'download_button_text', array('media_buttons' => false,'textarea_rows'=>1));
                       ?>
                    </div>
                  </div>
                  <div class="form-group" style="display: none">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Download Buttons color:</label>
                      <input type="color" name="download_buttons_color" class="form-control" value="<?php echo $download_buttons_color ?>">
                    </div>
                  </div>
                  <div class="form-group" style="display: none">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Download Buttons size(in px):</label>
                      <input type="text" name="download_buttons_size" class="form-control" value="<?php echo $download_buttons_size ?>" placeholder="10px">
                    </div>
                  </div>
                  <!-- <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Download Link:</label>
                      <input type="text" name="download_link" class="form-control" value="<?php echo $download_link ?>">
                    </div>
                  </div> -->
                   <!-- ///Download Button/// -->

                  <!-- ///Copyright Info/// -->
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Copyright Section background</label>
                      <input type="color" name="copyright_section_background" class="form-control" value="<?php echo $copyright_section_background ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Copyright Section Border color</label>
                      <input type="color" name="copyright_section_border_color" class="form-control" value="<?php echo $copyright_section_border_color ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Copyright Section Border width</label>
                      <input type="text" name="copyright_section_border_width" class="form-control" value="<?php echo $copyright_section_border_width ?>" placeholder="10px 10px 10px 10px">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Copyright Section padding</label>
                      <input type="text" name="copyright_section_padding" class="form-control" value="<?php echo $copyright_section_padding ?>" placeholder="10px">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">social media(add multiple URLs with coma sprite Ex: https://www.facebook.com,https://www.youtube.com)</label>
                      <input type="text" name="social_media" placeholder="Ex: https://www.facebook.com/Ser.Shivam,https://www.youtube.com" class="form-control" value="<?php echo $social_media ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Copyright Info:</label>
                      <!-- <textarea name="cn_copy_right" class="form-control"><?php echo $cn_copy_right ?></textarea> -->
                       <?php 
                        wp_editor($copyright_info,'copyright_info', array('media_buttons' => true,'textarea_rows'=>1));
                       ?>
                    </div>
                  </div>
                  <h2>Autoresponder configuration</h2>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Autoresponder form action url:</label>
                       <?php //wp_editor($autoresponder,'autoresponder', array('media_buttons' => false,'textarea_rows'=>1));?>
                       <?php 
                        wp_editor($autoresponder,'autoresponder', array('media_buttons' => true,'textarea_rows'=>1));
                       ?>
                    </div>
                  </div>
                 <!--  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Autoresponder campaign token:</label>
                       <input type="text" name="campaign_token" class="form-control" value="<?php //echo $campaign_token ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12 p0">
                      <label class="control-label" for="name">Autoresponder Thank You Url:</label>
                      <input type="text" name="tha`nk_you_url" class="form-control" value="<?php //echo $thank_you_url ?>">
                    </div>
                  </div> -->


                  <!-- ///Copyright Info/// -->
                  <div class="form-group"> 
                    <div class="col-sm-8">
                    <button type="submit" name="save_settings_info" class="btn btn-default">Submit</button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </form>
        
      </div>
    </div>
</div>



