<?php

 /*
 Template Name: cn thank-you page Template
 */
 ?>
<!DOCTYPE html>
<html>
<head>
	<title><?php echo get_the_title(); ?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<link rel="stylesheet" type="text/css" href="<?php echo CN_LANDING_URI ?>/assets/Bootstrap4/css/bootstrap.css" />
	<script type="text/javascript" src="<?php echo CN_LANDING_URI ?>/assets/Bootstrap4/js/bootstrap.js"></script>
	
</head>
<body>
	<?php
	
			global $wpdb;
			global $msg;
			$path_array  = wp_upload_dir();
			$upload_url=$path_array['baseurl'];
			$cn_thank = $wpdb->prefix . 'cn_thank';
			$cn_landing = $wpdb->prefix . 'cn_landing';
			$Thank_id=1;
			$cn_thank="select * from `".$cn_thank."` AS `Thank` WHERE `id`=".$Thank_id;
			$CnThankArr=iFetch($cn_thank);

			$main_headline=$CnThankArr['main_headline'];
			$sub_headline=$CnThankArr['sub_headline'];
			$download_button_text=$CnThankArr['download_button_text'];
			$download_buttons_color=$CnThankArr['download_buttons_color'];
			$download_buttons_size=$CnThankArr['download_buttons_size'];
			$download_link=$CnThankArr['download_link'];
			$special_offer_title=$CnThankArr['special_offer_title'];
			$special_offer_text=$CnThankArr['special_offer_text'];
			$media_file=$CnThankArr['media_file'];
			$special_offer_call_to_action=$CnThankArr['special_offer_call_to_action'];
			$special_offer_button_text=$CnThankArr['special_offer_button_text'];
			$special_offer_button_color=$CnThankArr['special_offer_button_color'];
			$special_offer_button_size=$CnThankArr['special_offer_button_size'];
			$special_offer_button_link_phone_number=$CnThankArr['special_offer_button_link_phone_number'];
			$copyright_info=$CnThankArr['copyright_info'];
			$thank_you_url=$CnThankArr['thank_you_url'];
	?>
		<style type="text/css" media="screen">
		p{margin: 0; padding: 0}
		div{margin: 10px}
		.cn_download_btn {
			background: <?php echo $download_buttons_color; ?>;
			color: #fff;
			width: <?php echo $download_buttons_size; ?>;
			font-weight: bold !important;
			border-radius: 5px !important;
		}
		.cn_call_us_btn{
			background: <?php echo $special_offer_button_color; ?>;
			color: #fff;
			width: <?php echo $special_offer_button_size; ?>;
			font-weight: bold !important;
			border-radius: 5px !important;
		}
		.cn_download_btn:hover{
			color: #fff;
		}
		.maindiv{
		    margin: 0 auto;
		}
		iframe {max-width: 100%;}
		img {max-width: 100%;height: unset;}
 	</style>
	<div class="container" style="margin-top:30px">
		<div class="row">
			<div class="col-md-10 col-md-offset-2 text-center maindiv">
				<div>
					<div class="main_headline"><?php echo $main_headline; ?></div>
					<div class="sub_headline"><?php echo $sub_headline; ?></div>
					<div>
						<a href="<?php echo $download_link; ?>" class="btn  cn_download_btn" download><?php echo $download_button_text; ?></a>
					</div>
					
					<div class="col-md-12 divider_main">
						<div class="divider"></div>
					</div>
					<div class="Offertitle"><?php echo $special_offer_title; ?></div>
					<div class="Offer_title_below_text"><?php echo $special_offer_text; ?></div>
					<div class="img_video_main">
						<?php echo $media_file; ?>
					</div>
					<div>
						<?php echo $special_offer_call_to_action;  ?>
					</div>
					<a class="btn  cn_call_us_btn" href="<?php echo $special_offer_button_link_phone_number; ?>"><?php echo $special_offer_button_text; ?></a>
					<div class="cn_copy_right">
						<?php echo $copyright_info; ?>
					</div>
				</div>
			</div>
		</div>
	</div>


	
</body>
</html>






